[FFmpeg-devel] [PATCH] faad2 version 2.5 support, second try

Michael Niedermayer michaelni
Sun Oct 7 04:44:20 CEST 2007


On Sat, Oct 06, 2007 at 06:06:44PM -0700, Frank Liu wrote:
> Problem:
> With faad2 version 2.5 and current ffmpeg, if you use
> --enable-libfaadbin when building ffmpeg, the compilation seems to
> complete fine, but but when you try to run it, it gives errors:
> Solution:
> Thanks to several people on this devel list, especially Dominik who
> has been with me in the last thread, I come up with a new patch:

ffmpeg is used by GPL applications and i would like to keep ffmpeg linkable
with GPL applications

this patch and all possible variations of it are rejected

if you want support for more advanced AAC features in ffmpeg, please
look at the AAC spec and write a free decoder

Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

Freedom in capitalist society always remains about the same as it was in
ancient Greek republics: Freedom for slave owners. -- Vladimir Lenin
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
URL: <http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/attachments/20071007/030ec9a9/attachment.pgp>

More information about the ffmpeg-devel mailing list